
Foreman - Bug #4519

Renaming host with / in name causes "No route matches" error

03/03/2014 12:08 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4179

  

Description

1. Edit an existing host

2. Change name to "foo/bar" (or add a "/" inside the name)

3. Submit form

You receive the following error:

No route matches {:action=>"toggle_manage", :controller=>"hosts", :id=>"foo/bar.example.com"}

 The save doesn't occur as the name is invalid (since #3697), but the form fails to re-render.

Related issues:

Related to Foreman - Bug #3697: Field Validations Should be more Comprehensive Closed 11/20/2013

Related to Foreman - Bug #4456: CVE-2014-0089 - Stored Cross Site Scripting (... Closed 02/26/2014 03/18/2014

Related to Foreman - Bug #9531: Removing host name from Host#edit throws rout... Closed 02/24/2015

Associated revisions

Revision adc931f2 - 01/12/2017 04:16 AM - Tomer Brisker

Fixes #4519, #9531 - Correctly handle invalid host name changes

Removing a host name or otherwise changing it to an invalid name (such

as a name containing /) caused the form to fail loading. This makes sure

all paths are generated correctly and validation error is shown.

Revision 7f0c0c8e - 01/30/2017 11:09 AM - Tomer Brisker

Fixes #4519, #9531 - Correctly handle invalid host name changes

Removing a host name or otherwise changing it to an invalid name (such

as a name containing /) caused the form to fail loading. This makes sure

all paths are generated correctly and validation error is shown.

(cherry picked from commit adc931f2107eaf14f095193a03ebad6dc10e4d22)

History

#1 - 03/03/2014 12:08 PM - Dominic Cleal

- Related to Bug #3697: Field Validations Should be more Comprehensive added

#2 - 03/03/2014 12:08 PM - Dominic Cleal

- Related to Bug #4456: CVE-2014-0089 - Stored Cross Site Scripting (XSS) on 500 error page added

#3 - 03/03/2014 12:09 PM - Dominic Cleal

This issue is marked as private, not because of a particular security angle, but because it's possible to include JavaScript in the host name, which

thanks to #4456 gets rendered in the user's browser.  Once #4456 is fixed, I'll make this issue public.
#4 - 03/25/2014 09:43 AM - Dominic Cleal

- Category changed from Security to Web Interface

- Private changed from Yes to No

#5 - 02/23/2016 10:56 AM - Dominic Cleal

- Related to Bug #9531: Removing host name from Host#edit throws routing error added

#6 - 01/11/2017 10:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/4179 added

#7 - 01/12/2017 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset adc931f2107eaf14f095193a03ebad6dc10e4d22.

#8 - 01/12/2017 05:03 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#9 - 01/24/2017 09:59 AM - Daniel Lobato Garcia

- Target version set to 169

#10 - 02/18/2017 10:23 AM - Brad Buckingham

- Target version deleted (169)

#11 - 02/21/2017 09:54 AM - Daniel Lobato Garcia

- Target version set to 1.11.0
